Subject: [Mg-t] There and Back Again

From: Rick Lindsay <[email-masked]>
Date: Sun, 16 Nov 2014 05:48:12 -0600

Hello Friends,

No, this isn't a Hobbit's Tail, but it is an explanation. Even almost on topic!

A couple of our fine members wrote PMs to me asking if I fell off the edge of the earth, or burned out on the TD project, or what. I'm happy to report that none of the above is true. I've just been away.

Nancy and I got away from Houston's not really unexpected late fall heat wave for a while. We sailed the Rhine from Amsterdam to Basel with Viking. Fantastic time. Temperatures in the 40s and 50s except in Lucerne where the mercury dropped to near freezing, at altitude. Happy to report that it's nicely cool back here in Houston now.

The vacation is the first of two reasons for my quiet hiatus. The second reason is that I rotate work on my cars so as to avoid burnout. With three cars undergoing restoration and another five asking for exercise, burnout is minimized.

I have most recently been working on my Volvo 1800ES but I have simply set it aside for a little bit while going back to work on the TD. Presently there is a front fender setting on the dining room table and that is growing less popular by the minute. The only safe place for this freshly painted part is back on the car.

But getting in the way of fender mounting is the third project; a 1978 Lotus Esprit S2 with a little gum build-up in the Dellorto carburetors. That problem needs to be addressed (today) so I can move the car. Doing so will allow space in my garage to mount the MG fender. And with that done I can bring the 1800ES back home, get the windshield reinstalled along with the new headliner, and enjoy that car! The A/C rebuild will have to wait until springtime - or unless/until I approach burnout on the MG and Lotus. It's a wonderful problem to have and I don't take my good fortune for granted. I'm a lucky guy.

Motor on,

-rick
______________________________________________

[email-masked]
Archive: http://www.team.net/archive